Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004763 [JEDI VCL] 00 JVCL Components tweak always 2009-05-04 10:28 2009-07-03 12:24
Reporter gpcaretti View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.36
Summary 0004763: Behaviour is inverted for values drFromRight and drFromLeft in the ScrollDirection property
Description While drFromBottom scrolls the text from bottom to top and drFromTop scrolls
the text from top to bottom, drFromRight wrongly scrolls the text from left
to right instead of right to left. Viceversa does drFromLeft.
Additional Information Solution:
Into the method
    TJvScrollText.OnScroll(Sender: TObject)
simply swaps the lines 324 and 332 (drFromRight and drFromLeft case values):

  case ScrollDirection of
    drFromTop:
    ...
    drFromRight: // <- line swapped (see below)
    ...
    drFromLeft: // <- line swapped (see above)
    ...
    drFromBottom:
    ...
  end;
Tags No tags attached.
Attached Files zip file icon JvScrollTextBug.zip [^] (4,230 bytes) 2009-06-16 20:24

- Relationships
related to 0004766resolvedobones TJvScrollText: Code donation to provide events to TJvScrollText 

-  Notes
(0015511)
gpcaretti (reporter)
2009-05-04 10:41

I forgot the name of the VCL affected: TJvScrollText
(0015684)
obones (administrator)
2009-06-16 11:38

Please provide the zipped sources of a sample application showing this
(0015695)
gpcaretti (reporter)
2009-06-16 20:25

Please find attached the sample application requested
(0015749)
obones (administrator)
2009-07-03 12:24

Thanks, this is now in SVN

- Issue History
Date Modified Username Field Change
2009-05-04 10:28 gpcaretti New Issue
2009-05-04 10:40 gpcaretti Issue Monitored: gpcaretti
2009-05-04 10:41 gpcaretti Note Added: 0015511
2009-06-16 11:38 obones Note Added: 0015684
2009-06-16 11:38 obones Status new => feedback
2009-06-16 20:24 gpcaretti File Added: JvScrollTextBug.zip
2009-06-16 20:25 gpcaretti Note Added: 0015695
2009-07-03 11:57 obones Relationship added related to 0004766
2009-07-03 12:24 obones Note Added: 0015749
2009-07-03 12:24 obones Status feedback => resolved
2009-07-03 12:24 obones Fixed in Version => Daily / SVN
2009-07-03 12:24 obones Resolution open => fixed
2009-07-03 12:24 obones Assigned To => obones
2009-07-30 16:02 gpcaretti Issue End Monitor: gpcaretti


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker